# $Revision: 1.17.2.3 $, $Date: 2008-02-27 22:34:55 $
#
# Conditional build
%bcond_without	lirc	# build without lirc support
#
Summary:	Set of extra plugins for BMP media player
Summary(pl):	Zestaw dodatkowych wtyczek do odtwarzacza mediw BMP
Name:		bmp-extra-plugins
Version:	0.2.2
Release:	6
License:	LGPL
Group:		X11/Applications/Sound
Source0:	http://www.t17.ikarnet.pl/~wiget/bmp-extra-plugins/download/%{name}-%{version}.tar.bz2
# Source0-md5:	612ce39533900610fcd9840284a88012
BuildRequires:	arts-devel >= 0.9.5
BuildRequires:	artsc-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bmp-devel >= 1:0.9.7-1.rc2.4
BuildRequires:	gettext-autopoint
BuildRequires:	gettext-devel
BuildRequires:	glib-devel >= 2.4.0
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	libmusicbrainz-devel
BuildRequires:	libtool
%{?with_lirc:BuildRequires:	lirc-devel}
Requires:	bmp >= 1:0.9.6.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Set of extra plugins for BMP player.

This package contains only common files for bmp-extra-plugins.

%description -l pl
Zestaw dodatkowych wtyczek dla odtwarzacza mediw BMP.

Ten pakiet zawiera tylko pliki wsplne dla rnych wtyczek.

%package -n bmp-status-docklet
Summary:	Status docklet plugin for BMP media player
Summary(pl):	Wtyczka stanu dla odtwarzacza mediw BMP
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description -n bmp-status-docklet
This is a status docklet for the GNOME status dock.

%description -n bmp-status-docklet -l pl
To jest wtyczka stanu dla obszaru powiadamiania GNOME.

%package -n bmp-general-lirc
Summary:	Lirc plugin for BMP media player
Summary(pl):	Wtyczka Lirc dla odtwarzacza mediw BMP
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description -n bmp-general-lirc
Lirc plugin for BMP media player.

%description -n bmp-general-lirc -l pl
Wtyczka Lirc dla odtwarzacza mediw BMP.

%package -n bmp-general-scrobbler
Summary:	Scrobbler plugin for BMP media player
Summary(pl):	Wtyczka scrobbler dla odtwarzacza mediw BMP
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description -n bmp-general-scrobbler
Scrobbler plugin for BMP media player.

%description -n bmp-general-scrobbler -l pl
Wtyczka scrobbler dla odtwarzacza mediw BMP.

%package -n bmp-general-xf86audio
Summary:	XF86Audio keys plugin for BMP media player
Summary(pl):	Wtyczka klawiszy XF86Audio dla odtwarzacza mediw BMP
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description -n bmp-general-xf86audio
This is a plugin for BMP media player to enable control over BMP media
player playback via the XF86Audio* keysyms, as produced by some
keyboards with media-control keys.

%description -n bmp-general-xf86audio -l pl
Ta wtyczka odtwarzacza mediw BMP pozwala sterowa odtwarzaniem
poprzez kody XF86Audio*, wydawane przez niektre klawiatury z
klawiszami "multimedialnymi".

%package -n bmp-input-mplayer
Summary:	MPlayer plugin for BMP media player
Summary(pl):	Wtyczka MPlayer dla odtwarzacza mediw BMP
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description -n bmp-input-mplayer
This is an input plugin for BMP media player that uses MPlayer
(http://www.mplayerhq.hu/) to play video files.

%description -n bmp-input-mplayer -l pl
Ta wtyczka wejciowa odtwarzacza mediw BMP wykorzystuje MPlayer
(http://www.mplayerhq.hu/) do odtwarzania plikw z filmami.

%package -n bmp-input-musepack
Summary:	Input plugin for BMP media player which plays MP+ encoded audio files
Summary(pl):	Wtyczka wejciowa dla odtwarzacza mediw BMP odtwarzajca pliki MP+ (MPC)
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description -n bmp-input-musepack
This plugin for BMP media player can play audio files which are
encoded with Andree Buschmann's encoder Musepack. These files have the
filename postfixes MPC, MP+ or MPP.

%description -n bmp-input-musepack -l pl
Ta wtyczka odtwarzacza mediw BMP moe odtwarza pliki dwikowe
zakodowane koderem Musepack Andree Buschmanna. Pliki te maj
rozszerzenia MPC, MP+ lub MPP.

%package -n bmp-output-arts
Summary:	aRts plugin for BMP media player
Summary(pl):	Wtyczka aRts dla odtwarzacza mediw BMP
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description -n bmp-output-arts
aRts plugin for BMP media player.

%description -n bmp-output-arts -l pl
Wtyczka aRts dla odtwarzacza mediw BMP.

%package -n bmp-output-crossfade
Summary:	BMP media player plugin for Crossfading / Continuous Output
Summary(pl):	Wtyczka odtwarzacza mediw BMP do przej i cigego wyjcia
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	xmms-output-plugin

%description -n bmp-output-crossfade
BMP media player plugin for Crossfading / Continuous Output.

%description -n bmp-output-crossfade -l pl
Wtyczka odtwarzacza mediw BMP dajca przejcia i cige wyjcie.

%package -n bmp-output-oggre
Summary:	Og(g)re BMP media player output plugin
Summary(pl):	Wtyczka wyjciowa Og(g)re dla odtwarzacza mediw BMP
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description -n bmp-output-oggre
Og(g)re BMP media player output plugin lets you write Ogg Vorbis files
from BMP media player.

%description -n bmp-output-oggre -l pl
Wtyczka wyjciowa Og(g)re dla odtwarzacza mediw BMP pozwala zapisywa
pliki Ogg Vorbis z poziomu odtwarzacza.

%package -n bmp-visualization-blursk
Summary:	Blursk - a visualization plugin for BMP media player
Summary(pl):	Blursk - wtyczka wizualizacji dla odtwarzacza mediw BMP
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description -n bmp-visualization-blursk
Blursk is a visualization plugin for XMMS. It was inspired by the
"Blur Scope" plugin, but Blursk goes far beyond that. It supports a
variety of colormaps, blur patterns, plotting styles, and other
options. The only things that haven't changed are parts of the XMMS
interface and configuration code. This package contains version
adapted for BMP.

%description -n bmp-visualization-blursk -l pl
Blursk to wtyczka wizualizujca dla odtwarzacza XMMS. Jest
zainspirowana wtyczk "Blur Scope", ale Blursk posuwa si dalej.
Obsuguje szeroki zakres map kolorw, wzorw plam, stylw rysowania i
innych opcji. Jedyn rzecz ktra nie zostaa zmieniona to fragmenty
interfejsu XMMS i kod konfiguracyjny. Ten pakiet zawiera wersj
zaadaptowan dla odtwarzacza mediw BMP.

%package -n bmp-visualization-minilcd
Summary:	BMP media player plugin using LCDproc
Summary(pl):	Wtyczka odtwarzacza mediw BMP wykorzystujca LCDproc
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description -n bmp-visualization-minilcd
BMP media player plugin using LCDproc.

%description -n bmp-visualization-minilcd -l pl
Wtyczka odtwarzacza mediw BMP wykorzystujca LCDproc.

%package -n bmp-visualization-wmdiscotux
Summary:	BMP media player plugin displaying dancing Tux
Summary(pl):	Wtyczka odtwarzacza mediw BMP wywietlajca taczcego Tuksa
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description -n bmp-visualization-wmdiscotux
BMP media player plugin displaying dancing Tux.

%description -n bmp-visualization-wmdiscotux -l pl
Wtyczka odtwarzacza mediw BMP wywietlajca taczcego Tuksa.

%prep
%setup -q
sed "/dlopen/s@libXv.so@/usr/X11R6/%{_lib}/libXv.so.1@" \
	-i visualization/blursk/xv.c

%build
%{__libtoolize}
%{__autopoint}
%{__gettextize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang bmp-extra-plugins

rm -f $RPM_BUILD_ROOT%{_libdir}/bmp/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files -f bmp-extra-plugins.lang
%defattr(644,root,root,755)

%files -n bmp-status-docklet
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/bmp/General/statusdocklet.so
%{_datadir}/bmp/status_docklet

%if %{with lirc}
%files -n bmp-general-lirc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/bmp/General/lirc.so
%endif

%files -n bmp-general-scrobbler
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/bmp/General/scrobbler.so

%files -n bmp-general-xf86audio
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/bmp/General/xf86audio.so

%files -n bmp-input-mplayer
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/bmp/Input/mplayer.so

%files -n bmp-input-musepack
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/bmp/Input/musepack.so

%files -n bmp-output-arts
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/bmp/Output/arts.so
%attr(755,root,root) %{_bindir}/bmp-arts-helper

%files -n bmp-output-crossfade
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/bmp/Output/crossfade.so

%files -n bmp-output-oggre
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/bmp/Output/oggre.so

%files -n bmp-visualization-blursk
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/bmp/Visualization/blursk.so

%files -n bmp-visualization-minilcd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/bmp/Visualization/minilcd.so

%files -n bmp-visualization-wmdiscotux
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/bmp/Visualization/wmdiscotux.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bmp-extra-plugins.spec,v $
Revision 1.17.2.3  2008-02-27 22:34:55  glen
- release 6

Revision 1.17.2.2  2007-03-18 17:30:57  glen
- refresh gettext; rel 5

Revision 1.17.2.1  2007/03/18 15:50:04  glen
- rel 4 (curl)

Revision 1.17  2005/02/16 19:57:37  sparky
- use {_lib} macro and don't check libXv SONAME
- rel 3, STBR

Revision 1.16  2005/02/16 18:09:23  sparky
- hardcoded path to libXv, but works
- BR: artsc-devel
- rel 2.1

Revision 1.15  2004/11/27 18:52:05  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.14  2004/11/05 10:49:23  paladine
- spaces->tabs
- cosmetics

Revision 1.13  2004/10/31 17:06:06  wolf
- crossfade provides output-plugin

Revision 1.12  2004/10/28 12:59:31  paladine
- "MPC" unification

Revision 1.11  2004/10/06 13:51:30  qboosh
- missing pl, BR: ac,am,lt; run autoheader once

Revision 1.10  2004/09/21 13:36:50  wiget
- BR fixed bmp-devel
- release 1

Revision 1.9  2004/09/21 13:00:00  wiget
- updated to 0.2.2
- added bmp-visualization-wmdiscotux subpackage
- *.la files are useless

Revision 1.8  2004/04/28 21:24:53  qboosh
- some consensus about BMP name and its pl declension

Revision 1.7  2004/04/09 17:12:10  qboosh
- fixed bcond usage, pl cosmetics

Revision 1.6  2004/04/09 16:19:24  aflinta
- added lirc and scrobbler plugins
- release 0.3

Revision 1.5  2004/04/09 14:35:23  aflinta
- some PL polish :)

Revision 1.4  2004/04/09 14:04:49  qboosh
- pl, cosmetics

Revision 1.3  2004/01/30 22:39:03  migo
- typo

Revision 1.2  2004/01/30 07:23:00  wiget
- renamed to bmp-extra-plugins
- use official download location and official tarball
- merge -common to main package
- release 0.2

Revision 1.1  2004/01/27 09:22:54  tiwek
- initial
- build and work
